]> sipb.mit.edu Git - ikiwiki.git/blobdiff - debian/NEWS
sanitise them, like any other page type.
[ikiwiki.git] / debian / NEWS
index 5bb107519eb93cfa82894aa04fc007969def6cf6..80cb489be295ec3d320cefd7721f8a899049f02b 100644 (file)
@@ -1,5 +1,31 @@
+ikiwiki (1.8) unstable; urgency=low
+
+  If your wiki is configured with a setup file, you should modify it to
+  stop setting the "plugin" list directly, and instead add or remove plugins
+  via the add_plugins and disable_plugins lines. For example, if you had:
+
+       plugin => [qw{inline smiley search}],
+
+  Change it to these lines, which disables the default htmlscrubber plugin
+  and adds the two additional plugins:
+
+       add_plugins => [qw{smiley search}],
+       disable_plugins => [qw{htmlscrubber}],
+
+  Making this change makes your ikiwiki setup file more future-proof since
+  new default plugins will be automatically used.
+  
+  You will need to rebuild your wiki when upgrading to this version.
+  If you listed your wiki in /etc/ikiwiki/wikilist this will be done
+  automatically when the Debian package is upgraded. Or use
+  ikiiki-mass-rebuild to force a rebuild.
+
+ -- Joey Hess <joeyh@debian.org>  Mon,  3 Jul 2006 16:59:29 -0400
+
 ikiwiki (1.1) unstable; urgency=low
 
+  There have been several configuration changes in this release of ikiwiki:
+
   The --svn and --no-svn switches are removed, instead you should use
    --rcs=svn or --no-rcs. ikiwiki setup files that set svn => 1 should
   be changed to set rcs => "svn"; if your setup file sets svn => 0
@@ -7,15 +33,21 @@ ikiwiki (1.1) unstable; urgency=low
 
   The --hyperestraier switch is gone too. To enable searching, turn on the
   search plugin, by passing --plugin=search or through the plugin setting in
-  the config file.
+  the setup file.
 
   The --sanitize and --no-sanitize switches are also gone, replaced with the
   htmlscrubber plugin. This plugin is enabled by default, to disable it,
   use --disable-plugin=htmlscrubber, or modify the plugin setting in the
-  config file.
+  setup file.
+
+  Discussion pages are enabled by default, but if your wiki is configured
+  with a setup file, you need to edit it to keep them enabled on upgrade
+  to this version. Add a line reading:
+  discussion => 1,
 
   You will need to rebuild your wiki when upgrading to this version.
   If you listed your wiki in /etc/ikiwiki/wikilist this will be done
-  automatically.
+  automatically when the Debian package is upgraded. Or use
+  ikiiki-mass-rebuild to force a rebuild.
 
  -- Joey Hess <joeyh@debian.org>  Tue,  2 May 2006 14:13:59 -0400